# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Set-Scalar
Version:	1.29
Release:	25.%{__distinit}%{__distvers}
Summary:	Basic set operations
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Set-Scalar
Source0:	https://cpan.metacpan.org/modules/by-module/Set/Set-Scalar-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(constant)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(overload)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
# Test Suite
BuildRequires:	perl(Carp)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
%{summary}.

%prep
%setup -q -n Set-Scalar-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc ChangeLog README README.old
%{perl_vendorlib}/Set/
%{_mandir}/man3/Set::Scalar.3*
%{_mandir}/man3/Set::Scalar::Base.3*
%{_mandir}/man3/Set::Scalar::Null.3*
%{_mandir}/man3/Set::Scalar::Real.3*
%{_mandir}/man3/Set::Scalar::Universe.3*
%{_mandir}/man3/Set::Scalar::Valued.3*
%{_mandir}/man3/Set::Scalar::ValuedUniverse.3*
%{_mandir}/man3/Set::Scalar::Virtual.3*

%changelog
* Thu Jul  6 2023 Paul Howarth <paul@city-fan.org> - 1.29-25
- Use SPDX-format license tag

* Tue Sep 24 2019 Paul Howarth <paul@city-fan.org> - 1.29-15
- Use author-independent source URL

* Fri Apr 13 2018 Paul Howarth <paul@city-fan.org> - 1.29-9
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Fri Sep 23 2016 Paul Howarth <paul@city-fan.org> - 1.29-5
- Classify buildreqs by usage
- Simplify find command using -delete

* Mon Mar 24 2014 Paul Howarth <paul@city-fan.org> - 1.29-1
- Update to 1.29
  - Fixed set operations examples in POD
- Drop %%defattr, redundant since rpm 4.4

* Tue Feb 25 2014 Paul Howarth <paul@city-fan.org> - 1.28-1
- Update to 1.28
  - Fix POD example showing power_set() method returning an iterator, which now
    correctly demonstrates power_set_iterator() returning an iterator

* Wed Jan  1 2014 Paul Howarth <paul@city-fan.org> - 1.27-1
- Update to 1.27
  - Merge pull request for typo fix in POD
  - Merge pull request for adding meta-data via Makefile.PL
  - ChangeLog is more standards compliant
  - Module POD now mentions current maintainer, and GitHub repo
- This release by DAVIDO -> update source URL

* Mon Jul 15 2013 Paul Howarth <paul@city-fan.org> - 1.26-2
- Perl 5.18 rebuild

* Tue Jun 18 2013 Paul Howarth <paul@city-fan.org> - 1.26-1
- Update to 1.26
  - Fixed "Set::Scalar::Valued" (CPAN RT#69037)
  - Add more whitespace in examples to show "picture" of operations
    (CPAN RT#54172, CPAN RT#54173)

* Tue Jun 12 2012 Paul Howarth <paul@city-fan.org> - 1.25-8
- BR: perl(constant)

* Mon May 28 2012 Paul Howarth <paul@city-fan.org> - 1.25-7
- Import from Fedora

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.25-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.25-5
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.25-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 22 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.25-3
- Rebuild to fix problems with vendorarch/lib (#661697)

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.25-2
- Mass rebuild with perl-5.12.0

* Tue Mar  9 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1.25-1
- Update to 1.25

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.23-4
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 19 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.23-1
- Upstream update

* Mon Mar  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.22-2
- Rebuild for new perl

* Wed Dec 19 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.22-1
- 1.22

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.20-1.1
- Correct license tag
- Add BR: perl(ExtUtils::MakeMaker)

* Sat Nov 11 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.20-1
- First build
